.. pyroute2 documentation master file

Pyroute2 netlink library
========================

General information
-------------------

.. toctree::
    :maxdepth: 2

    general
    changelog
    makefile
    report

Usage
-----

.. toctree::
    :maxdepth: 2

    usage
    iproute
    remote
    ndb
    ipdb_toc
    wiset
    ipset
    netns
    wireguard

Howtos
------

.. toctree::
    :maxdepth: 2

    mpls
    debug

Development
-----------

.. toctree::
    :maxdepth: 2

    devcontribute
    arch
    netlink
    nlsocket

Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`

